import dynamix_sdk.base as _base


class CloudapiComputePowerCycleResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputePowerCycleProtocol(_base.BasePostAPIFunctionProtocol):
    def power_cycle(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputePowerCycleResultBool:
        ...
